### Virtual Method

# Camel Multipart construct_from_parser

#### Declaration [src]

    gint
    construct_from_parser (
      CamelMultipart* multipart,
      CamelMimeParser* parser
    )

#### Description [src]

Construct a multipart from a parser.

#### Parameters

`parser`

  Type: `CamelMimeParser`

  A `CamelMimeParser` object.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

0 on success or -1 on fail.